Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular File Manager (a.k.a. File Explorer) is a graphical user interface component for managing the file system that allows users to perform most common file operations like accessing, editing, and sorting files or folders. This component also provides easy navigation to select a file or folder from the file system.


Why choose Syncfusion Essential Studio® Angular File Manager?

Angular File Manager easy to customize.

Easy to customize

With customization options, the entire layout can be customized and modified easily, and initial views switched.

Angular File Manager built in file operation.

Built-in file operations

Provides a wide range of built-in file operations including copying, moving, renaming, and deleting files, drag-and-drop, image preview, and more.

Easy interaction with Angular File Manager.

Easy to interact

An intuitive and easy-to-interact interface that includes a toolbar, treeview, breadcrumb, and menu.

Localization in Angular File Manager.

Localization

Localize the text values of the context menu and tooltips displayed in the user interface using the localization library.

Angular File Manager with integration.

Integration with other components

Integrate with Syncfusion’s PDF Viewer, Word Editor, and Spreadsheet component to open and view PDF, Excel, and Word files.

Angular File Manager connect with cloud storage services.

Connect with cloud storage services

Easily connect and manage data stored in a various storage services, including local, cloud, and database.

Responsive Angular File Manager.

Adapts to any resolution

The File Manager is designed to be responsive and adaptable, with a layout that works well on devices including desktops, touch screens, and smart phones.

Angular File Manager with customizable themes.

Attractive, customizable themes

Cutting edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes easily.


Angular File Manager Code Example

Easily get started with the Angular File Manager using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular File Manager Example that shows you how to render and configure a File Manager in Angular.

<div class="sample-container">
       <ejs-filemanager id='overview' [ajaxSettings]='ajaxSettings' [view]='view'>
        </ejs-filemanager>
</div>
import { Component, ViewEncapsulation } from '@angular/core';
import { FileManagerComponent, NavigationPaneService, ToolbarService, DetailsViewService } from '@syncfusion/ej2-angular-filemanager';
/**
 * File Manager full functionalities sample
 */
@Component({
    selector: 'control-content',
    templateUrl: 'overview.html',
    styleUrls: ['overview.css'],
    encapsulation: ViewEncapsulation.None,
	providers: [ NavigationPaneService, ToolbarService, DetailsViewService]
})

export class OverViewController {
    public ajaxSettings: object;
    public view: string;
    public hostUrl: string = 'https://ej2-aspcore-service.azurewebsites.net/';
    public ngOnInit(): void {
        this.ajaxSettings = {
            url: this.hostUrl + 'api/FileManager/FileOperations',
            getImageUrl: this.hostUrl + 'api/FileManager/GetImage',
            uploadUrl: this.hostUrl + 'api/FileManager/Upload',
            downloadUrl: this.hostUrl + 'api/FileManager/Download'
        };
       this.view = "Details";
       }
}

Angular File Manager with flat data.

Flat JSON data binding

The File Manager component supports rendering flat JSON data objects, eliminating the need for HTTP client requests and back-end URL configuration. All file operations can be handled within the component itself through file action events.


Customizable layout design

The Angular File Manager UI consists of a toolbar, navigation pane, and content pane through which the files or folders in the file system can be accessed and managed. The entire layout can be customized with features like right-to-left alignment, enabling or disabling the toolbar and navigation pane, and switching between views.

Customizable layout design in Angular File Manager.


Angular File Manager with toolbar.

Toolbar

The toolbar contains a list of tools for performing various operations like upload file, download file, and switch views. The toolbar can be configured with any custom functionality to be performed on the file system.


The Angular File Manager navigation pane allows quick and direct access to a file or folder in a file system where the entire folder hierarchy is listed using a tree view. This can be made visible or hidden as needed.

Navigation Pane in Angular File Manager.


Content pane in Angular File Manager.

Content pane

The content pane displays the files and folders in the file system. The files in the content pane can be displayed in either a large icon view or a details view.


File operations

The Angular File Manager component includes all the common operations needed for managing a file system: copy, move, upload, download, edit, create, delete, and sort.


File upload and download in Angular File Manager.

File upload and download

The File Manager control allows easy file uploading and downloading in a file system.


Sorting

Files and folders in the file system can be sorted in ascending or descending order by clicking the column header. Files and folders can be sorted based on name, date created, size, and other details. The default sorting functionality can also be customized in the File Manager.

File sorting in Angular File Manager.


File searching in Angular File Manager.

Searching

The File Manager control contains built-in search functionality that allows you to search for and access a file or folder in the current path and its child folders.


Moving files and folders with drag and drop

Files and folders can be moved within the file system by dragging and dropping them. Drag-and-drop support can be turned on or off.


Access control support in Angular File Manager.

Access control restriction

Restrict access to files and folders by defining a set of rules for them. Only authorized users will be able to access them.


Restrict upload file types

You can specify the types of files that can be uploaded in the File Manager. Other file types will be restricted from uploading.

Restrict file types in Angular File Manager.


Multiple file selection in Angular File Manager.

Multiple file selection

The Angular File Manager control has built-in support for the selection of multiple files or folders. Multiple file selection is effective when a single operation like download or delete needs to be performed for multiple files in the file system.


Directory upload

The Angular File Manager control has support to upload a directory (folder) with its subfolders and files.

Directory upload in Angular File Manager.


Chunk upload in Angular File Manager.

Chunk upload

The File Manager supports the chunk upload feature, which allows large files to be split into smaller chunks based on the specified chunk size and uploaded sequentially to the server. This improves reliability and performance when handling massive file uploads.


Quick access menu

The Angular File Manager component provides a context menu to list the operations that can be performed with files and folders. It appears when a file or folder is right-clicked. Context menu items can be customized according to user preferences.

Quick access menu support in Angular File Manager.



Additional features

Keyboard navigation in Angular File Manager.

Keyboard navigation

The Angular File Manager control ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this control.

Angular File Manager developer-friendly APIs.

Developer-friendly APIs

Developers have control over all the UI elements and behaviors of the components to provide the best experience to end users.

Angular File Manager right to left mode.

Right to left (RTL)

Supports right-to-left (RTL) direction for users working in right-to-left languages like Hebrew and Arabic.


Angular version compatibility

With continuous improvement in Angular versions, the Angular File Manager is kept up to date to make it compatible with versions starting from 4 to the latest version.

Angular File Manager version compatibility.





Other supported frameworks

The File Manager layout is available for the Blazor, React, JavaScript, and Vue frameworks. Explore its platform-specific options through the following links:

Supported browsers

The Angular File Manager works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.

Supported browsers in Angular File Manager.

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • A lightweight, modern user interface for easy and effective file management in a file system.
  • Support for all basic file operations, like upload, download, delete, create, sort, search, and rename, along with an out-of-the-box option to preview images in the file system.
  • Support for different kinds of file system providers like physical, FTP, SQL, Node.js, Azure, Amazon S3, Firebase, and Google Drive.
  • One of the best Angular File Manager components on the market offering a feature-rich UI.
  • Built-in support for access control.
  • Simple configuration and API.
  • Support for all modern browsers.
  • Touch-friendly and responsive.
  • Expansive learning resources such as demos, documentation, and videos to learn quickly and get started with Angular File Manager.

We do not sell the Angular File Manager separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular File Manager. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular File Manager demo, which demonstrates how to render and configure the File Manager.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular File Manager, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their File Manager component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React File Manager (File Explorer) is a graphical user interface component for managing the file system that allows users to perform most common file operations, like accessing, editing, and sorting files or folders. This component provides easy navigation to select a file or folder from the file system.


Customizable layout design

The File Manager UI consists of a toolbar, navigation pane, and content pane through which the files or folders in the file system can be accessed and managed. The entire layout can be customized with features like right-to-left alignment, enabling or disabling the toolbar and navigation pane, and switching between views.

Toolbar

The toolbar contains a list of tools for performing various operations like upload file, download file, and switch views. The toolbar can be configured with any custom functionality to be performed on the file system.

React File Manager with toolbar


React File Manager with navigation pane

The React File Manager navigation pane allows quick and direct access to a file or folder in a file system where the entire folder hierarchy is listed using a tree view. This can be made visible or hidden as needed.


Content pane

The content pane displays the files and folders in the file system. The files in the content pane can be displayed in either a large icon view or a details view.

Content pane in React File Manager


File operations

The React File Manager component includes all the common operations needed for managing a file system: copy, move, upload, download, edit, create, delete, and sort.

File upload and download in React File Manager

File upload and download

The React File Manager component allows easy file uploading and downloading in a file system.


Sorting

Files and folders in the file system can be sorted in either ascending or descending order simply by clicking the column header. Files and folders can be sorted based on name, date created, size, and other details.

File sorting in React File Manager


File searching in React File Manager

Searching

The File Manager control contains built-in search functionality that allows you to search for and access a file or folder in the current path and its child folders.


Moving files and folders with drag and drop

Files and folders can be moved within the file system by dragging and dropping them. Drag-and-drop support can be turned on or off.

Drag and drop in React File Manager


Access control in React File Manager

Access control restriction

The File Manager provides support to restrict access to files and folders by defining a set of rules for them. Only authorized users will be able to access them.


Restrict upload file types

You can specify the types of files that can be uploaded in the File Manager. Other file types will be restricted from uploading.

Restrict file types in React File Manager


Multiple file selection in React File Manager

Multiple file selection

The File Manager control has built-in support for the selection of multiple files or folders. Multiple file selection is effective when a single operation like download or delete needs to be performed for multiple files in the file system.


Directory upload

The React File Manager control has support to upload a directory (folder) with its subfolders and files.

Quick access menu in React File Manager


Localization in React File Manager

Integration with PDF Viewer, Word Editor, and Spreadsheet

Open PDF, Excel, and Word files in JavaScript File Manager using Syncfusion’s JavaScript PDF Viewer, Word Editor, and Spreadsheet controls.


Quick access menu

The File Manager control provides context menu support to list the operations that can be performed with files and folders. It appears when a file or folder is right-clicked. Context menu items can be customized according to user preferences.

React File Manager with Context Menu


Links to the service providers are supplied below

Localization

The text of the context menu list and tooltips displayed in the user interface can be localized to any supported language. The File Manager control uses a localization library (l10n) to localize the text values.



Web accessibility

  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Supports right-to-left (RTL) direction for users working in right-to-left languages like Hebrew and Arabic.

Built-in themes

The React File Manager supports several built-in themes: Bootstrap 5, Fluent, Tailwind CSS, high contrast, and more. Users can customize any one of these built-in themes or create new themes to achieve their own desired look by either simply overriding the Sass variables or using our Theme Studio application.

Developer-friendly APIs

Developers have control over all the UI elements and behaviors of the components to provide the best experience to end users.


Other supported frameworks

The File Manager component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different File Manager platforms from the links below:


React File Manager code example

Easily get started with the React File Manager using a few simple lines of TSX code example as demonstrated below. Also explore our React File Manager example that shows you how to render and configure a File Manager in React.

import { FileManagerComponent } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';
export default class App extends React.Component {
    constructor() {
        super(...arguments);
        this.hostUrl = "https://ej2-aspcore-service.azurewebsites.net/";
    }
    render() {
        return (<div className="control-section">
        <FileManagerComponent id="file" ajaxSettings= />
        </div>);
    }
}



80+ REACT UI COMPONENTS

Frequently Asked Questions

  • A lightweight, modern user interface for easy and effective file management in a file system.
  • Support for all basic file operations, like upload, download, delete, create, sort, search, and rename, along with an out-of-the-box option to preview images in the file system.
  • Support for different kinds of file system providers like physical, FTP, SQL, Node.js, Azure, Amazon S3, Firebase, and Google Drive.
  • One of the best React Diagram in the market that offers feature-rich UI to interact with the software.
  • Built-in support for access control.
  • Simple configuration and API.
  • Support for all modern browsers.
  • Touch-friendly and responsive.
  • Expansive learning resources such as demos and documentation to let you get started quickly with React File Manager.

You can find our React File Manager demo, which demonstrates how to render and configure the File Manager.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile